/** 
 * Title:        AddressView
 * Description:  Trieda prezentujca adresu draitea
 */ 
import java.io.Serializable; 

public class AddressView implements Serializable {

  private String addressLine; 
  private String city; 
  private String state; 
  private String zipCode; 

  public AddressView(String newAddressLine,String newCity, 
			String newState, String newZipCode) {

    setAddressLine(newAddressLine); 
    setCity(newCity); 
    setState(newState); 
    setZipCode(newZipCode); 
  } 

  public String getAddressLine() {
    return addressLine; 
  } 
  public void setAddressLine(String newAddressLine) {
    addressLine = newAddressLine; 
  } 

  public String getCity() {
    return city; 
  } 

  public void setCity(String newCity) {
    city = newCity; 
  } 

  public String getState() {
    return state; 
  } 

  public void setState(String newState) {
    state = newState; 
  } 

  public String getZipCode() {
    return zipCode; 
  } 

  public void setZipCode(String newZipCode) {
    zipCode = newZipCode; 
  } 
}
