/** 
 * Title:        BidView
 * Description:  Trieda prezentujca ponuky do draby.
 */ 
import java.io.Serializable; 
import java.sql.Timestamp; 

public class BidView implements Serializable {

  private Integer auctionId; 
  private Integer bidderId; 
  private Timestamp dateTimeSubmitted; 
  private String transactionId; 
  private Double amount; 

  public BidView(Integer newAuctionId, Integer newBidderId, 
   Timestamp newDateTimeSubmitted, Double newAmount, String newTransactionId) {

    setAuctionId(newAuctionId); 
    setBidderId(newBidderId); 
    setDateTimeSubmitted(newDateTimeSubmitted); 
    setAmount(newAmount); 
    setTransactionId(newTransactionId); 
  } 

  public Integer getAuctionId() {
    return auctionId; 
  } 

  public void setAuctionId(Integer newAuctionId) {
    auctionId = newAuctionId; 
  } 

  public Integer getBidderId() {
    return bidderId; 
  } 

  public void setBidderId(Integer newBidderId) {
    bidderId = newBidderId; 
  } 
  public Timestamp getDateTimeSubmitted() {
    return dateTimeSubmitted; 
  } 

  public void setDateTimeSubmitted(Timestamp newDateTimeSubmitted) {
    dateTimeSubmitted = newDateTimeSubmitted; 
  } 

  public Double getAmount() {
    return amount; 
  } 

  public void setAmount(Double newAmount) {
    amount = newAmount; 
  } 

  public String getTransactionId() {
    return transactionId; 
  } 

  public void setTransactionId(String newTransactionId) {
    transactionId = newTransactionId; 
  } 
}
