/** 
 * Title:        Bidder
 * Description:  Loklne rozhranie pre Bidder entity bean
 */ 
import java.util.List; 
import javax.ejb.EJBLocalObject; 

public interface Bidder extends EJBLocalObject {

  public Integer getId(); 

  public String getFirstName(); 

  public String getLastName(); 

  public String getEmailAddress(); 

  public String getUsername(); 

  public String getPassword(); 

  public AddressView getShippingAddressView(); 

  public AddressView getBillingAddressView(); 

  /** 
   * Vrti vetky ponuky podan danm draiteom
   * 
   * @return - zoznam BidView objektov
   */ 
  public List getBids(); 
}
